#!/bin/sh

echo
read -p "Is this a CleanMode setup? [y/n] " REPLY
[ "$REPLY" != "y" ] && exit
read -p "Are the LibreOffice source .tar.gz file(s) in this folder? [y/n] " REPLY
[ "$REPLY" != "y" ] && exit

SOURCE=$(ls *.gz 2>/dev/null)
[ -z "$SOURCE" ] && echo LibreOffice source package not found! && exit

echo Extracting ...
for T in *.tar.gz; do 
	tar -zxf $T -C /tmp
done

LIBRE=$(ls -1 /tmp | grep Libre | head -n1)
[ -z "$LIBRE" ] && echo LibreOffice extraction failed! && exit
SQUASH=${LIBRE}.squashfs

echo
echo "If you are adding language packs, pause here."
echo "Go to /tmp and move their .deb files into the main LibreOffice folder"
read -p "Press Enter to continue: "

mv /tmp/$LIBRE/DEBS/*menus*.deb .	#this is the menu setup file

dpkg -i /tmp/$LIBRE/DEBS/*.deb  #into /opt/libreoffice4
mkdir -p /opt/build/opt

echo
mv /opt/libreoffice* /opt/build/opt
rm -f $SQUASH
mksquashfs /opt/build $SQUASH
rm -rf /opt/build

rm -rf /tmp/LibreOffice*
echo
echo Done!
echo "To select a language, use Tools > Options > Language Settings > Languages"

